<html>
  <head>
    <title>Creaspot control panel</title>
    <link rel='stylesheet' href='https://line.gitlabpages.inria.fr/aide-group/esp32gpiocontrol/webcontrols.css'/>
    <script type='text/javascript' src='https://line.gitlabpages.inria.fr/aide-group/esp32gpiocontrol/webcontrols.js'></script>
  </head>
  <body style='width:800px'>
    <h1>
      <a target='_blank' href='https://team.inria.fr/mnemosyne/en/aide/'><img src='https://line.gitlabpages.inria.fr/aide-group/aide/img/aide-favicon.png'/></a>
      Creaspot control panel
    </h1>
    <div class='button-bar'>
      <label>Run:</label> 
      <button onclick='webcontrols.curl("http://aide-line.inria.fr/creaspot/run/clean");'>Clean</button>
      <button onclick='webcontrols.curl("http://aide-line.inria.fr/creaspot/run/predict");'>Predict</button>
      |
      <label>Status:</label> 
      <span id='status' class='button' style='width:200px; padding: 5px 20px 5px 20px; background-color:0x0f0f0f;'>../..</span>
   </div>
   <div id='upload' class='button-bar'>
      <form action='http://aide-line.inria.fr/creaspot/upload' method='post' encType='multipart/form-data'>
        <label>Upload <i>mp4</i> video:</label> <input class='button' type='file' name='uploadFile'/> <input class='button' type='submit' value='upload'/>
      </form>
    </div>
     <script>
      webcontrols.addConsole(true);
      {
        let uploadPath = new URLSearchParams(window.location.search).get("upload-path");
        if (uploadPath != undefined)
          webcontrols.consoleLog("The file ``" + uploadPath + "´´ has been uploaded.");
      }
      setInterval(function() {
        webcontrols.curl("http://aide-line.inria.fr/creaspot/run/status", "", "GET", function(value, error) {
          if (error)
            value = "not responding" ;
          // Hides the upload interface during prediction to avoid conflict
          document.getElementById("upload").style.display = value.trim() == "predicting" ? "none" : "block";
          // Shows the result if available
          if (value.trim() == "predicted")
            value += ": <a target='_blank' href='http://aide-line.inria.fr/results/results.mp4'>video</a> <a target='_blank' href='http://aide-line.inria.fr/results/results.json'>json</a>  <a target='_blank' href='http://aide-line.inria.fr/results/predict.log.txt'>log</a> ";
          // Updates the status bar
          document.getElementById("status").innerHTML = " " + value + " ";
        });
      }, 1000);
    </script>
  </body>
</html>
